%define _dbhomedir	%{_var}/lib/%{name}

Summary:	Filter, redirector and access controller plugin for squid
Name:		squidguard
Version:	1.2.0
Release:	6.norlug
License:	GPL
Group:		Applications/Internet
Icon:		squidGuard.gif
Source0:	http://ftp.ost.eltele.no/pub/www/proxy/squidGuard/%{name}-%{version}.tar.gz
Source1:	squidGuard.logrotate
Patch0:		squidGuard-db2.patch
Patch1:		squidGuard-destdir.patch
Patch2:		squidGuard-paths.patch
URL:		http://www.squidguard.org/
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	db4-devel
Requires:	squid >= 2.5, db4

%description
squidGuard can be used to 
- limit the web access for some users to a list of accepted/well known
  web servers and/or URLs only.
- block access to some listed or blacklisted web servers and/or URLs
  for some users. **)
- block access to URLs matching a list of regular expressions or words
  for some users. **)
- enforce the use of domainnames/prohibit the use of IP address in
  URLs. **)
- redirect blocked URLs to an "intelligent" CGI based info page. **)
- redirect unregistered user to a registration form.
- redirect popular downloads like Netscape, MSIE etc. to local copies.
- redirect banners to an empty GIF. **)
- have different access rules based on time of day, day of the week,
  date etc.
- have different rules for different user groups.
- and much more.. 

Neither squidGuard nor Squid can be used to
- filter/censor/edit text inside documents 
- filter/censor/edit embeded scripting languages like JavaScript or
  VBscript inside HTML


%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%configure \
	--with-db-inc=%{_includedir}/db4 \
	--with-sg-config=%{_sysconfdir}/squid/squidGuard.conf \
	--with-sg-logdir=%{_var}/log/squid \
	--with-sg-dbhome=%{_dbhomedir}
	
%{__make} LIBS=-ldb
chmod +x samples/*.cgi


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

%{__install} -d -m 0755 \
	$RPM_BUILD_ROOT%{_datadir}/%{name} \
	$RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d \
	$RPM_BUILD_ROOT%{_dbhomedir}

%{__install} -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/squidGuard
%{__install} -m 0644 samples/sample.conf $RPM_BUILD_ROOT%{_sysconfdir}/squid/squidGuard.conf
#%{__install} -m 0644 samples/dest/blacklists.tar.gz $RPM_BUILD_ROOT%{_datadir}/%{name}/


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc samples/sample.conf samples/squidGuard-simple.cgi samples/squidGuard.cgi
%doc doc/*.txt doc/*.html doc/*.gif samples/dest/blacklists.tar.gz
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/squid/squidGuard.conf
%{_sysconfdir}/logrotate.d/*

%defattr(-,squid,squid)
%dir %{_dbhomedir}


# fix perms on existing DB
%post
chown -R squid:squid %{_dbhomedir}


%changelog
* Sun Dec 19 2004 Chip Cuccio <chipster@norlug.org> 1.2.0-6
- fixed DB permissions

* Tue Oct 26 2004 Chip Cuccio <chipster@norlug.org> 1.2.0-5
- changed log path
- modified logrotate script

* Sun Jan 25 2004 Chip Cuccio <chipster@norlug.org> 1.2.0-2
- update to 1.2.0
- built for db4
- rebuilt for rh-7.3

* Fri Jun  1 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- cleaned up for rhcontrib

* Fri Oct 13 2000 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- initial build
